----------------------------------------------------------
-- NetWare Remote Manager eDirectory Schema Extensions
-- Novell Inc.
-- 1800 South Novell Place
-- Provo, UT 84606
--
-- Add an optional attribute nrmGroupMonitorData to the User and Group
-- objects. This attribute will only be created, read and understood by
-- NetWare Remote Manager (NRM). Because of this we are using the
-- SYN_OCTET_STRING type for the type of the nrmGroupMonitorData attribute.
----------------------------------------------------------

NRMSchemaExtentions DEFINITIONS ::=
BEGIN
    "nrmGroupMonitorData" ATTRIBUTE ::=
    {
	    SyntaxID SYN_OCTET_STRING, 
	    Flags {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	    ASN1ObjID {2.16.840.1.113719.1.335}
    }

    "Group" OBJECT-CLASS ::=
    {
        Operation MODIFY,
        MayContain {"nrmGroupMonitorData"}
    }

    "User" OBJECT-CLASS ::=
    {
        Operation MODIFY,
        MayContain {"nrmGroupMonitorData"}
    }
END
